Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
53.0.0.0
Broadcast address
53.127.255.255
First usable
53.0.0.1
Last usable
53.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 35000000 · Integer 889192448 to 897581055
Reverse DNS zones
0.53.in-addr.arpa
1.53.in-addr.arpa
2.53.in-addr.arpa
3.53.in-addr.arpa
4.53.in-addr.arpa
5.53.in-addr.arpa
6.53.in-addr.arpa
7.53.in-addr.arpa
8.53.in-addr.arpa
9.53.in-addr.arpa
10.53.in-addr.arpa
11.53.in-addr.arpa
12.53.in-addr.arpa
13.53.in-addr.arpa
14.53.in-addr.arpa
15.53.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101.00000000.00000000.0000000053.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00110101.00000000.00000000.0000000053.0.0.0
Broadcast00110101.01111111.11111111.1111111153.127.255.255
Split into smaller subnets/19

53.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.0.0.0/1953.0.0.1 to 53.0.31.25453.0.31.2558,190
253.0.32.0/1953.0.32.1 to 53.0.63.25453.0.63.2558,190
353.0.64.0/1953.0.64.1 to 53.0.95.25453.0.95.2558,190
453.0.96.0/1953.0.96.1 to 53.0.127.25453.0.127.2558,190
553.0.128.0/1953.0.128.1 to 53.0.159.25453.0.159.2558,190
653.0.160.0/1953.0.160.1 to 53.0.191.25453.0.191.2558,190
753.0.192.0/1953.0.192.1 to 53.0.223.25453.0.223.2558,190
853.0.224.0/1953.0.224.1 to 53.0.255.25453.0.255.2558,190
953.1.0.0/1953.1.0.1 to 53.1.31.25453.1.31.2558,190
1053.1.32.0/1953.1.32.1 to 53.1.63.25453.1.63.2558,190
1153.1.64.0/1953.1.64.1 to 53.1.95.25453.1.95.2558,190
1253.1.96.0/1953.1.96.1 to 53.1.127.25453.1.127.2558,190
1353.1.128.0/1953.1.128.1 to 53.1.159.25453.1.159.2558,190
1453.1.160.0/1953.1.160.1 to 53.1.191.25453.1.191.2558,190
1553.1.192.0/1953.1.192.1 to 53.1.223.25453.1.223.2558,190
1653.1.224.0/1953.1.224.1 to 53.1.255.25453.1.255.2558,190
1753.2.0.0/1953.2.0.1 to 53.2.31.25453.2.31.2558,190
1853.2.32.0/1953.2.32.1 to 53.2.63.25453.2.63.2558,190
1953.2.64.0/1953.2.64.1 to 53.2.95.25453.2.95.2558,190
2053.2.96.0/1953.2.96.1 to 53.2.127.25453.2.127.2558,190
2153.2.128.0/1953.2.128.1 to 53.2.159.25453.2.159.2558,190
2253.2.160.0/1953.2.160.1 to 53.2.191.25453.2.191.2558,190
2353.2.192.0/1953.2.192.1 to 53.2.223.25453.2.223.2558,190
2453.2.224.0/1953.2.224.1 to 53.2.255.25453.2.255.2558,190
2553.3.0.0/1953.3.0.1 to 53.3.31.25453.3.31.2558,190
2653.3.32.0/1953.3.32.1 to 53.3.63.25453.3.63.2558,190
2753.3.64.0/1953.3.64.1 to 53.3.95.25453.3.95.2558,190
2853.3.96.0/1953.3.96.1 to 53.3.127.25453.3.127.2558,190
2953.3.128.0/1953.3.128.1 to 53.3.159.25453.3.159.2558,190
3053.3.160.0/1953.3.160.1 to 53.3.191.25453.3.191.2558,190
3153.3.192.0/1953.3.192.1 to 53.3.223.25453.3.223.2558,190
3253.3.224.0/1953.3.224.1 to 53.3.255.25453.3.255.2558,190
3353.4.0.0/1953.4.0.1 to 53.4.31.25453.4.31.2558,190
3453.4.32.0/1953.4.32.1 to 53.4.63.25453.4.63.2558,190
3553.4.64.0/1953.4.64.1 to 53.4.95.25453.4.95.2558,190
3653.4.96.0/1953.4.96.1 to 53.4.127.25453.4.127.2558,190
3753.4.128.0/1953.4.128.1 to 53.4.159.25453.4.159.2558,190
3853.4.160.0/1953.4.160.1 to 53.4.191.25453.4.191.2558,190
3953.4.192.0/1953.4.192.1 to 53.4.223.25453.4.223.2558,190
4053.4.224.0/1953.4.224.1 to 53.4.255.25453.4.255.2558,190
4153.5.0.0/1953.5.0.1 to 53.5.31.25453.5.31.2558,190
4253.5.32.0/1953.5.32.1 to 53.5.63.25453.5.63.2558,190
4353.5.64.0/1953.5.64.1 to 53.5.95.25453.5.95.2558,190
4453.5.96.0/1953.5.96.1 to 53.5.127.25453.5.127.2558,190
4553.5.128.0/1953.5.128.1 to 53.5.159.25453.5.159.2558,190
4653.5.160.0/1953.5.160.1 to 53.5.191.25453.5.191.2558,190
4753.5.192.0/1953.5.192.1 to 53.5.223.25453.5.223.2558,190
4853.5.224.0/1953.5.224.1 to 53.5.255.25453.5.255.2558,190
4953.6.0.0/1953.6.0.1 to 53.6.31.25453.6.31.2558,190
5053.6.32.0/1953.6.32.1 to 53.6.63.25453.6.63.2558,190
5153.6.64.0/1953.6.64.1 to 53.6.95.25453.6.95.2558,190
5253.6.96.0/1953.6.96.1 to 53.6.127.25453.6.127.2558,190
5353.6.128.0/1953.6.128.1 to 53.6.159.25453.6.159.2558,190
5453.6.160.0/1953.6.160.1 to 53.6.191.25453.6.191.2558,190
5553.6.192.0/1953.6.192.1 to 53.6.223.25453.6.223.2558,190
5653.6.224.0/1953.6.224.1 to 53.6.255.25453.6.255.2558,190
5753.7.0.0/1953.7.0.1 to 53.7.31.25453.7.31.2558,190
5853.7.32.0/1953.7.32.1 to 53.7.63.25453.7.63.2558,190
5953.7.64.0/1953.7.64.1 to 53.7.95.25453.7.95.2558,190
6053.7.96.0/1953.7.96.1 to 53.7.127.25453.7.127.2558,190
6153.7.128.0/1953.7.128.1 to 53.7.159.25453.7.159.2558,190
6253.7.160.0/1953.7.160.1 to 53.7.191.25453.7.191.2558,190
6353.7.192.0/1953.7.192.1 to 53.7.223.25453.7.223.2558,190
6453.7.224.0/1953.7.224.1 to 53.7.255.25453.7.255.2558,190
6553.8.0.0/1953.8.0.1 to 53.8.31.25453.8.31.2558,190
6653.8.32.0/1953.8.32.1 to 53.8.63.25453.8.63.2558,190
6753.8.64.0/1953.8.64.1 to 53.8.95.25453.8.95.2558,190
6853.8.96.0/1953.8.96.1 to 53.8.127.25453.8.127.2558,190
6953.8.128.0/1953.8.128.1 to 53.8.159.25453.8.159.2558,190
7053.8.160.0/1953.8.160.1 to 53.8.191.25453.8.191.2558,190
7153.8.192.0/1953.8.192.1 to 53.8.223.25453.8.223.2558,190
7253.8.224.0/1953.8.224.1 to 53.8.255.25453.8.255.2558,190
7353.9.0.0/1953.9.0.1 to 53.9.31.25453.9.31.2558,190
7453.9.32.0/1953.9.32.1 to 53.9.63.25453.9.63.2558,190
7553.9.64.0/1953.9.64.1 to 53.9.95.25453.9.95.2558,190
7653.9.96.0/1953.9.96.1 to 53.9.127.25453.9.127.2558,190
7753.9.128.0/1953.9.128.1 to 53.9.159.25453.9.159.2558,190
7853.9.160.0/1953.9.160.1 to 53.9.191.25453.9.191.2558,190
7953.9.192.0/1953.9.192.1 to 53.9.223.25453.9.223.2558,190
8053.9.224.0/1953.9.224.1 to 53.9.255.25453.9.255.2558,190
8153.10.0.0/1953.10.0.1 to 53.10.31.25453.10.31.2558,190
8253.10.32.0/1953.10.32.1 to 53.10.63.25453.10.63.2558,190
8353.10.64.0/1953.10.64.1 to 53.10.95.25453.10.95.2558,190
8453.10.96.0/1953.10.96.1 to 53.10.127.25453.10.127.2558,190
8553.10.128.0/1953.10.128.1 to 53.10.159.25453.10.159.2558,190
8653.10.160.0/1953.10.160.1 to 53.10.191.25453.10.191.2558,190
8753.10.192.0/1953.10.192.1 to 53.10.223.25453.10.223.2558,190
8853.10.224.0/1953.10.224.1 to 53.10.255.25453.10.255.2558,190
8953.11.0.0/1953.11.0.1 to 53.11.31.25453.11.31.2558,190
9053.11.32.0/1953.11.32.1 to 53.11.63.25453.11.63.2558,190
9153.11.64.0/1953.11.64.1 to 53.11.95.25453.11.95.2558,190
9253.11.96.0/1953.11.96.1 to 53.11.127.25453.11.127.2558,190
9353.11.128.0/1953.11.128.1 to 53.11.159.25453.11.159.2558,190
9453.11.160.0/1953.11.160.1 to 53.11.191.25453.11.191.2558,190
9553.11.192.0/1953.11.192.1 to 53.11.223.25453.11.223.2558,190
9653.11.224.0/1953.11.224.1 to 53.11.255.25453.11.255.2558,190
9753.12.0.0/1953.12.0.1 to 53.12.31.25453.12.31.2558,190
9853.12.32.0/1953.12.32.1 to 53.12.63.25453.12.63.2558,190
9953.12.64.0/1953.12.64.1 to 53.12.95.25453.12.95.2558,190
10053.12.96.0/1953.12.96.1 to 53.12.127.25453.12.127.2558,190
10153.12.128.0/1953.12.128.1 to 53.12.159.25453.12.159.2558,190
10253.12.160.0/1953.12.160.1 to 53.12.191.25453.12.191.2558,190
10353.12.192.0/1953.12.192.1 to 53.12.223.25453.12.223.2558,190
10453.12.224.0/1953.12.224.1 to 53.12.255.25453.12.255.2558,190
10553.13.0.0/1953.13.0.1 to 53.13.31.25453.13.31.2558,190
10653.13.32.0/1953.13.32.1 to 53.13.63.25453.13.63.2558,190
10753.13.64.0/1953.13.64.1 to 53.13.95.25453.13.95.2558,190
10853.13.96.0/1953.13.96.1 to 53.13.127.25453.13.127.2558,190
10953.13.128.0/1953.13.128.1 to 53.13.159.25453.13.159.2558,190
11053.13.160.0/1953.13.160.1 to 53.13.191.25453.13.191.2558,190
11153.13.192.0/1953.13.192.1 to 53.13.223.25453.13.223.2558,190
11253.13.224.0/1953.13.224.1 to 53.13.255.25453.13.255.2558,190
11353.14.0.0/1953.14.0.1 to 53.14.31.25453.14.31.2558,190
11453.14.32.0/1953.14.32.1 to 53.14.63.25453.14.63.2558,190
11553.14.64.0/1953.14.64.1 to 53.14.95.25453.14.95.2558,190
11653.14.96.0/1953.14.96.1 to 53.14.127.25453.14.127.2558,190
11753.14.128.0/1953.14.128.1 to 53.14.159.25453.14.159.2558,190
11853.14.160.0/1953.14.160.1 to 53.14.191.25453.14.191.2558,190
11953.14.192.0/1953.14.192.1 to 53.14.223.25453.14.223.2558,190
12053.14.224.0/1953.14.224.1 to 53.14.255.25453.14.255.2558,190
12153.15.0.0/1953.15.0.1 to 53.15.31.25453.15.31.2558,190
12253.15.32.0/1953.15.32.1 to 53.15.63.25453.15.63.2558,190
12353.15.64.0/1953.15.64.1 to 53.15.95.25453.15.95.2558,190
12453.15.96.0/1953.15.96.1 to 53.15.127.25453.15.127.2558,190
12553.15.128.0/1953.15.128.1 to 53.15.159.25453.15.159.2558,190
12653.15.160.0/1953.15.160.1 to 53.15.191.25453.15.191.2558,190
12753.15.192.0/1953.15.192.1 to 53.15.223.25453.15.223.2558,190
12853.15.224.0/1953.15.224.1 to 53.15.255.25453.15.255.2558,190
12953.16.0.0/1953.16.0.1 to 53.16.31.25453.16.31.2558,190
13053.16.32.0/1953.16.32.1 to 53.16.63.25453.16.63.2558,190
13153.16.64.0/1953.16.64.1 to 53.16.95.25453.16.95.2558,190
13253.16.96.0/1953.16.96.1 to 53.16.127.25453.16.127.2558,190
13353.16.128.0/1953.16.128.1 to 53.16.159.25453.16.159.2558,190
13453.16.160.0/1953.16.160.1 to 53.16.191.25453.16.191.2558,190
13553.16.192.0/1953.16.192.1 to 53.16.223.25453.16.223.2558,190
13653.16.224.0/1953.16.224.1 to 53.16.255.25453.16.255.2558,190
13753.17.0.0/1953.17.0.1 to 53.17.31.25453.17.31.2558,190
13853.17.32.0/1953.17.32.1 to 53.17.63.25453.17.63.2558,190
13953.17.64.0/1953.17.64.1 to 53.17.95.25453.17.95.2558,190
14053.17.96.0/1953.17.96.1 to 53.17.127.25453.17.127.2558,190
14153.17.128.0/1953.17.128.1 to 53.17.159.25453.17.159.2558,190
14253.17.160.0/1953.17.160.1 to 53.17.191.25453.17.191.2558,190
14353.17.192.0/1953.17.192.1 to 53.17.223.25453.17.223.2558,190
14453.17.224.0/1953.17.224.1 to 53.17.255.25453.17.255.2558,190
14553.18.0.0/1953.18.0.1 to 53.18.31.25453.18.31.2558,190
14653.18.32.0/1953.18.32.1 to 53.18.63.25453.18.63.2558,190
14753.18.64.0/1953.18.64.1 to 53.18.95.25453.18.95.2558,190
14853.18.96.0/1953.18.96.1 to 53.18.127.25453.18.127.2558,190
14953.18.128.0/1953.18.128.1 to 53.18.159.25453.18.159.2558,190
15053.18.160.0/1953.18.160.1 to 53.18.191.25453.18.191.2558,190
15153.18.192.0/1953.18.192.1 to 53.18.223.25453.18.223.2558,190
15253.18.224.0/1953.18.224.1 to 53.18.255.25453.18.255.2558,190
15353.19.0.0/1953.19.0.1 to 53.19.31.25453.19.31.2558,190
15453.19.32.0/1953.19.32.1 to 53.19.63.25453.19.63.2558,190
15553.19.64.0/1953.19.64.1 to 53.19.95.25453.19.95.2558,190
15653.19.96.0/1953.19.96.1 to 53.19.127.25453.19.127.2558,190
15753.19.128.0/1953.19.128.1 to 53.19.159.25453.19.159.2558,190
15853.19.160.0/1953.19.160.1 to 53.19.191.25453.19.191.2558,190
15953.19.192.0/1953.19.192.1 to 53.19.223.25453.19.223.2558,190
16053.19.224.0/1953.19.224.1 to 53.19.255.25453.19.255.2558,190
16153.20.0.0/1953.20.0.1 to 53.20.31.25453.20.31.2558,190
16253.20.32.0/1953.20.32.1 to 53.20.63.25453.20.63.2558,190
16353.20.64.0/1953.20.64.1 to 53.20.95.25453.20.95.2558,190
16453.20.96.0/1953.20.96.1 to 53.20.127.25453.20.127.2558,190
16553.20.128.0/1953.20.128.1 to 53.20.159.25453.20.159.2558,190
16653.20.160.0/1953.20.160.1 to 53.20.191.25453.20.191.2558,190
16753.20.192.0/1953.20.192.1 to 53.20.223.25453.20.223.2558,190
16853.20.224.0/1953.20.224.1 to 53.20.255.25453.20.255.2558,190
16953.21.0.0/1953.21.0.1 to 53.21.31.25453.21.31.2558,190
17053.21.32.0/1953.21.32.1 to 53.21.63.25453.21.63.2558,190
17153.21.64.0/1953.21.64.1 to 53.21.95.25453.21.95.2558,190
17253.21.96.0/1953.21.96.1 to 53.21.127.25453.21.127.2558,190
17353.21.128.0/1953.21.128.1 to 53.21.159.25453.21.159.2558,190
17453.21.160.0/1953.21.160.1 to 53.21.191.25453.21.191.2558,190
17553.21.192.0/1953.21.192.1 to 53.21.223.25453.21.223.2558,190
17653.21.224.0/1953.21.224.1 to 53.21.255.25453.21.255.2558,190
17753.22.0.0/1953.22.0.1 to 53.22.31.25453.22.31.2558,190
17853.22.32.0/1953.22.32.1 to 53.22.63.25453.22.63.2558,190
17953.22.64.0/1953.22.64.1 to 53.22.95.25453.22.95.2558,190
18053.22.96.0/1953.22.96.1 to 53.22.127.25453.22.127.2558,190
18153.22.128.0/1953.22.128.1 to 53.22.159.25453.22.159.2558,190
18253.22.160.0/1953.22.160.1 to 53.22.191.25453.22.191.2558,190
18353.22.192.0/1953.22.192.1 to 53.22.223.25453.22.223.2558,190
18453.22.224.0/1953.22.224.1 to 53.22.255.25453.22.255.2558,190
18553.23.0.0/1953.23.0.1 to 53.23.31.25453.23.31.2558,190
18653.23.32.0/1953.23.32.1 to 53.23.63.25453.23.63.2558,190
18753.23.64.0/1953.23.64.1 to 53.23.95.25453.23.95.2558,190
18853.23.96.0/1953.23.96.1 to 53.23.127.25453.23.127.2558,190
18953.23.128.0/1953.23.128.1 to 53.23.159.25453.23.159.2558,190
19053.23.160.0/1953.23.160.1 to 53.23.191.25453.23.191.2558,190
19153.23.192.0/1953.23.192.1 to 53.23.223.25453.23.223.2558,190
19253.23.224.0/1953.23.224.1 to 53.23.255.25453.23.255.2558,190
19353.24.0.0/1953.24.0.1 to 53.24.31.25453.24.31.2558,190
19453.24.32.0/1953.24.32.1 to 53.24.63.25453.24.63.2558,190
19553.24.64.0/1953.24.64.1 to 53.24.95.25453.24.95.2558,190
19653.24.96.0/1953.24.96.1 to 53.24.127.25453.24.127.2558,190
19753.24.128.0/1953.24.128.1 to 53.24.159.25453.24.159.2558,190
19853.24.160.0/1953.24.160.1 to 53.24.191.25453.24.191.2558,190
19953.24.192.0/1953.24.192.1 to 53.24.223.25453.24.223.2558,190
20053.24.224.0/1953.24.224.1 to 53.24.255.25453.24.255.2558,190
20153.25.0.0/1953.25.0.1 to 53.25.31.25453.25.31.2558,190
20253.25.32.0/1953.25.32.1 to 53.25.63.25453.25.63.2558,190
20353.25.64.0/1953.25.64.1 to 53.25.95.25453.25.95.2558,190
20453.25.96.0/1953.25.96.1 to 53.25.127.25453.25.127.2558,190
20553.25.128.0/1953.25.128.1 to 53.25.159.25453.25.159.2558,190
20653.25.160.0/1953.25.160.1 to 53.25.191.25453.25.191.2558,190
20753.25.192.0/1953.25.192.1 to 53.25.223.25453.25.223.2558,190
20853.25.224.0/1953.25.224.1 to 53.25.255.25453.25.255.2558,190
20953.26.0.0/1953.26.0.1 to 53.26.31.25453.26.31.2558,190
21053.26.32.0/1953.26.32.1 to 53.26.63.25453.26.63.2558,190
21153.26.64.0/1953.26.64.1 to 53.26.95.25453.26.95.2558,190
21253.26.96.0/1953.26.96.1 to 53.26.127.25453.26.127.2558,190
21353.26.128.0/1953.26.128.1 to 53.26.159.25453.26.159.2558,190
21453.26.160.0/1953.26.160.1 to 53.26.191.25453.26.191.2558,190
21553.26.192.0/1953.26.192.1 to 53.26.223.25453.26.223.2558,190
21653.26.224.0/1953.26.224.1 to 53.26.255.25453.26.255.2558,190
21753.27.0.0/1953.27.0.1 to 53.27.31.25453.27.31.2558,190
21853.27.32.0/1953.27.32.1 to 53.27.63.25453.27.63.2558,190
21953.27.64.0/1953.27.64.1 to 53.27.95.25453.27.95.2558,190
22053.27.96.0/1953.27.96.1 to 53.27.127.25453.27.127.2558,190
22153.27.128.0/1953.27.128.1 to 53.27.159.25453.27.159.2558,190
22253.27.160.0/1953.27.160.1 to 53.27.191.25453.27.191.2558,190
22353.27.192.0/1953.27.192.1 to 53.27.223.25453.27.223.2558,190
22453.27.224.0/1953.27.224.1 to 53.27.255.25453.27.255.2558,190
22553.28.0.0/1953.28.0.1 to 53.28.31.25453.28.31.2558,190
22653.28.32.0/1953.28.32.1 to 53.28.63.25453.28.63.2558,190
22753.28.64.0/1953.28.64.1 to 53.28.95.25453.28.95.2558,190
22853.28.96.0/1953.28.96.1 to 53.28.127.25453.28.127.2558,190
22953.28.128.0/1953.28.128.1 to 53.28.159.25453.28.159.2558,190
23053.28.160.0/1953.28.160.1 to 53.28.191.25453.28.191.2558,190
23153.28.192.0/1953.28.192.1 to 53.28.223.25453.28.223.2558,190
23253.28.224.0/1953.28.224.1 to 53.28.255.25453.28.255.2558,190
23353.29.0.0/1953.29.0.1 to 53.29.31.25453.29.31.2558,190
23453.29.32.0/1953.29.32.1 to 53.29.63.25453.29.63.2558,190
23553.29.64.0/1953.29.64.1 to 53.29.95.25453.29.95.2558,190
23653.29.96.0/1953.29.96.1 to 53.29.127.25453.29.127.2558,190
23753.29.128.0/1953.29.128.1 to 53.29.159.25453.29.159.2558,190
23853.29.160.0/1953.29.160.1 to 53.29.191.25453.29.191.2558,190
23953.29.192.0/1953.29.192.1 to 53.29.223.25453.29.223.2558,190
24053.29.224.0/1953.29.224.1 to 53.29.255.25453.29.255.2558,190
24153.30.0.0/1953.30.0.1 to 53.30.31.25453.30.31.2558,190
24253.30.32.0/1953.30.32.1 to 53.30.63.25453.30.63.2558,190
24353.30.64.0/1953.30.64.1 to 53.30.95.25453.30.95.2558,190
24453.30.96.0/1953.30.96.1 to 53.30.127.25453.30.127.2558,190
24553.30.128.0/1953.30.128.1 to 53.30.159.25453.30.159.2558,190
24653.30.160.0/1953.30.160.1 to 53.30.191.25453.30.191.2558,190
24753.30.192.0/1953.30.192.1 to 53.30.223.25453.30.223.2558,190
24853.30.224.0/1953.30.224.1 to 53.30.255.25453.30.255.2558,190
24953.31.0.0/1953.31.0.1 to 53.31.31.25453.31.31.2558,190
25053.31.32.0/1953.31.32.1 to 53.31.63.25453.31.63.2558,190
25153.31.64.0/1953.31.64.1 to 53.31.95.25453.31.95.2558,190
25253.31.96.0/1953.31.96.1 to 53.31.127.25453.31.127.2558,190
25353.31.128.0/1953.31.128.1 to 53.31.159.25453.31.159.2558,190
25453.31.160.0/1953.31.160.1 to 53.31.191.25453.31.191.2558,190
25553.31.192.0/1953.31.192.1 to 53.31.223.25453.31.223.2558,190
25653.31.224.0/1953.31.224.1 to 53.31.255.25453.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses